/* I based the styles for a modal image gallery from https://www.w3schools.com/css/css3_images_modal.asp */
@font-face {
    font-family: 'Egko Display Font';
    src: url('https://growlex.neocities.org/EgkoDisplayFont-Regular.ttf');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

#homebutton {
  flex: 80%;
  max-height: 70%;
}
#homebutton img{
  max-width:100%;
  max-height: 100%;
}
#links {
    text-decoration: none;
}
body {
  background: url('https://growlex.neocities.org/art/olga-thelavart-HZm2XR0whdw-unsplash.jpg');
  overflow: hidden;
  font-family: 'Egko Display Font', "Calibri";
  letter-spacing: 0.05em;
  text-shadow: 1px 1px 0px white, -1px -1px 0px white;
}
.container {
  display: flex;
  margin: auto;
  overflow: auto;
  height: 100vh;
  width: 100vw;
}
.sidebar {
  flex: 30%;
  flex-direction: column;
  text-align: center;
  overflow: auto;
  position: -webkit-sticky;
  position: sticky;
  display: flex;
  }
.gallery {
  display: flex;
  flex: 70%;
  overflow: auto;
  flex-wrap: wrap;
}
.photo {
  display: flex;
  background: url('https://growlex.neocities.org/art/kiwihug-3gifzboyZk0-unsplash.jpg');
  width: 350px;
  height: 400px;
  margin: 25px;
  align-items: center;
  justify-content: center;
  box-shadow: 3px 6px 10px 0px black;
  
}
.image {
  display: flex;
  flex-direction: column;
  /*max-width: 300px;*/
  max-height: 95%;
  position: relative;
  /*top: 5%;*/
  /*justify-content: center;*/
  
}
.image img {
  max-width: 90%;
  max-height: 300px;
  border-top: 10px solid white;
  border-left: 10px solid white;
  border-right: 10px solid white;
  border-bottom: 25px solid white;
  box-shadow: 2px 6px 2px 0px black;
  align-self: center;
  cursor: pointer;
}
.sidebar h1 {
    flex: 10%;
}
.modal {
    display:none;
    position: fixed;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    align-items: center;
    justify-content: center;
}
.modal img {
    position: relative;
    width: auto;
    height: auto;
    max-width:90%;
    max-height: 90%;
    overflow: hidden;
}
.modal.show {
    display: flex;
    opacity: 1;
}
.close {
    position: absolute;
    top: 20px;
    right: 50px;
    color: #ffffff;
    font-size: 2rem;
    font-weight: bold;
    cursor: pointer;
}
h3 {
  text-align: center;
  margin: 15px;
  font-size: 2.2rem;
}
h4 {
  text-align: center;
}
@media screen and (max-width: 700px) {
  .container {
    flex-direction: column;
  }
  .sidebar {
      flex-direction: row;
      align-items: space-around;
      overflow: hidden;
  }
  .gallery {
      justify-content: space-around;
  }
  .photo {
      width: calc(50% -20px);
  }
  #homebutton {
      flex:50%;
      max-height: 100%;
  }
  .sidebar h1 {
      flex:50%;
  }
}
@media screen and (max-width: 480px) {
  .container {
    flex-direction: column;
  }
  .gallery {
      justify-content: space-around;
  }
  .photo {
      max-width: 300px;
  }
  img{
      max-width: calc(80% -20px);
  }
}